graphics.off(); 
win.graph(height=6,width=4); 
par(xaxt="n",yaxt="n",bty="n",xpd=TRUE,yaxs="i"); 
plot(NULL,xlim=c(0.2,0.8),ylim=c(0,0.88),xlab="",ylab=""); 

text(rep(0.3,3),c(0.05,0.5,0.95),c("S","x","y"),cex=3.8,col=c("black","green4","red"));
text(0.7,0.7,"z",cex=4,col="purple");

text(0.15,0.53,"Prey",cex=1.8,col="green4"); 
text(0.15,0.46,"[alga]",cex=1.8,col="green4"); 

arrows(x0=0.08,y0=0.05,x1=0.22,y1=0.05,lwd=5); #to S
text(.55,.05,"Resource",cex=1.8); 

arrows(x0=0.3,y0=0.16,x1=0.3,y1=0.41,lwd=5) #S to x

arrows(x0=0.3,y0=0.63,x1=0.3,y1=0.85,lwd=5) # x to y
text(.58,.96,"Top predator",cex=1.8,col="red");
text(.6,.89,"[rotifer]",col="red",cex=1.8);  

arrows(x0=0.36,y0=0.53,x1=0.63,y1=0.68,lwd=5) # x to z
text(0.7,0.55,"Intermediate",cex=1.8,col="purple"); 
text(0.7,0.48,"predator",cex=1.8,col="purple"); 
text(0.7,0.41,"[flagellate]",cex=1.8,col="purple"); 

arrows(x0=0.63,y0=0.75,x1=0.37,y1=0.88,lwd=5,lty=1,length=0.3) # z to y
text(0.1,1,"(a)",cex=1.75)

